package com.lz.modules.flow.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.lz.modules.flow.entity.StaffMenu;
import com.lz.modules.flow.entity.StaffRoleMenu;

import java.util.List;

/**
* <p>
* 绩效管理菜单表 服务类
* </p>
*
* @author quyixiao
* @since 2020-11-02
*/
public interface StaffRoleMenuService extends IService<StaffRoleMenu> {



	StaffRoleMenu selectStaffRoleMenuById(Long id);


	Long insertStaffRoleMenu(StaffRoleMenu staffRoleMenu);


	int updateStaffRoleMenuById(StaffRoleMenu staffRoleMenu);


	int updateCoverStaffRoleMenuById(StaffRoleMenu staffRoleMenu);


	int deleteStaffRoleMenuById(Long id);


	List<StaffMenu> selectByRoleId(Long id);

    void deleteStaffRoleMenuByRoleId(Long roleId);

    StaffRoleMenu selectStaffRoleMenuByRoleIdMenuId(Long roleId, long menuId);
}